Name:	        python-ethtool
Summary:	Ethernet settings python bindings
Version:	0.12
Release:	%mkrel 1
URL:		http://git.fedorahosted.org/cgit/python-ethtool.git
Source0:	https://fedorahosted.org/releases/p/y/%{name}/%{name}-%{version}.tar.bz2
Patch0:		python-ethtool-0.11-mga-ifh.patch
License:	GPLv2
Group:		Development/Python
BuildRequires:	asciidoc
BuildRequires:	python-devel 
BuildRequires:	pkgconfig(libnl-3.0)

%description
Python bindings for the ethtool kernel interface, that allows querying and
changing of Ethernet card settings, such as speed, port, auto-negotiation, and
PCI locations.

%prep
%setup -q
%autopatch -p1

%build
%{__python2} setup.py build
a2x -d manpage -f manpage man/pethtool.8.asciidoc
a2x -d manpage -f manpage man/pifconfig.8.asciidoc

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
cp -p pethtool.py %{buildroot}%{_sbindir}/pethtool
cp -p pifconfig.py %{buildroot}%{_sbindir}/pifconfig
mkdir -p %{buildroot}%{_mandir}/man8
cp -p man/pethtool.8 %{buildroot}%{_mandir}/man8/pethtool.8
cp -p man/pifconfig.8 %{buildroot}%{_mandir}/man8/pifconfig.8

%files
%{_sbindir}/pethtool
%{_sbindir}/pifconfig
%{python2_sitearch}/ethtool.so
%{python2_sitearch}/*.egg-info
%doc %{_mandir}/man8/*


%changelog
* Mon Jan 02 2017 bcornec <bcornec> 0.12-1.mga6
+ Revision: 1079635
- update to upstream python-ethtool 0.12

* Wed Jan 06 2016 danf <danf> 0.11-5.mga6
+ Revision: 920027
- Added ifh.patch to fix buildng with glibc 2.22
- Switched to new Python auto autopatch macros
- Package the man pages
- Don't bother packaging the GPL text
- Removed version 0.8 source

* Wed Oct 15 2014 umeabot <umeabot> 0.11-4.mga5
+ Revision: 748923
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.11-3.mga5
+ Revision: 728426
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.11-2.mga5
+ Revision: 688022
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 bcornec <bcornec> 0.11-1.mga5
+ Revision: 661842
- Update to python-ethtool upstream 0.11

  + pterjan <pterjan>
    - Rebuild for new Python

* Wed Jan 22 2014 bcornec <bcornec> 0.10-1.mga5
+ Revision: 567448
- Updated to upstream python-ethtool 0.10 and now depends on libnl3-devel

* Tue Oct 22 2013 umeabot <umeabot> 0.8-3.mga4
+ Revision: 543307
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8-2.mga4
+ Revision: 498557
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Jul 24 2013 dams <dams> 0.8-1.mga4
+ Revision: 457532
- new version 0.8
- clean specfile
- update %%url and %%source

* Sun Jan 13 2013 umeabot <umeabot> 0.7-2.mga3
+ Revision: 378807
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 08 2012 bcornec <bcornec> 0.7-1.mga3
+ Revision: 316448
- Adapt python-ethtool from Fedora to Mageia SPEc usages
- imported package python-ethtool

